X509_STORE_SET_VERIFY_CB_FUNC(3)

NAME
X509_STORE_set_verify_cb, X509_STORE_set_verify_cb_func, X509_STORE_get_verify_cb - set verification callback

SYNOPSIS
#include <openssl/x509_vfy.h>
void
X509_STORE_set_verify_cb(X509_STORE *st, X509_STORE_CTX_verify_cb verify_cb);
void
X509_STORE_set_verify_cb_func(X509_STORE *st, X509_STORE_CTX_verify_cb verify_cb);
X509_STORE_CTX_verify_cb
X509_STORE_get_verify_cb(X509_STORE *st);

DESCRIPTION
X509_STORE_set_verify_cb() sets the verification callback of ctx to verify_cb, overwriting any existing callback.

X509_STORE_set_verify_cb_func() also sets the verification callback but it is implemented as a macro.

The verification callback from an X509_STORE is inherited by the corresponding X509_STORE_CTX structure when it is initialized. This can be used to set the verification callback when the X509_STORE_CTX is otherwise inaccessible (for example during S/MIME verification).

RETURN VALUES
X509_STORE_get_verify_cb() returns the function pointer set with X509_STORE_set_verify_cb(), or NULL if that function was not called on st.

SEE ALSO
X509_STORE_CTX_new(3), X509_STORE_CTX_set_verify(3), X509_STORE_CTX_set_verify_cb(3), X509_STORE_new(3), X509_STORE_set_flags(3), X509_verify_cert(3)

HISTORY
X509_STORE_set_verify_cb_func() first appeared in SSLeay 0.8.0 and has been available since OpenBSD 2.4.

X509_STORE_set_verify_cb() first appeared in OpenSSL 1.0.0 and has been available since OpenBSD 4.9.

X509_STORE_get_verify_cb() first appeared in OpenSSL 1.1.0 and has been available since OpenBSD 7.2.